# DMComposite

Abstract PETSc object that manages treating several distinct vectors as if they were one. The DMComposite routines allow one to manage a nonlinear solver that works on a vector that consists of several distinct parts. This is mostly used for LNKS solvers, that is design optimization problems that are written as a nonlinear system

### Synopsis

    typedef struct _p_DMComposite* DMComposite;

### See Also

DMCompositeCreate(), DMCompositeDestroy(), DM

Level:beginner
Location: src/dm/da/../../../include/petscda.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex31.c.html